#include <iostream>
#include <stdio.h>

using namespace std;

int main() 
{
	int n, k;
	cin >> n >> k;
	int* spil = new int[n];
	for (int i = 0; i < n; i++)
	{
		cin >> spil[i];
	}
	if (k == spil[n - 1])
	{
		cout << spil[0];
	}
	else
	{
		for (int i = 0; i < n; i++)
		{
			if (spil[i] == k)
			{
				cout << spil[i + 1];
			}
		}
	}
}